#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [ ]

test_requirements = [ ]

setup(
    author="Louis Calitz",
    author_email='louis@hausnet.io',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="A Python client for the IndiCam API. The IndiCam service extracts measurements from images of analog meters.",
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='indicam_client',
    name='indicam_client',
    packages=find_packages(include=['indicam_client', 'indicam_client.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/liber-tas/indicam_client',
    version='0.1.0',
    zip_safe=False,
)
